Subject: Re: setup.exe 2.218.2.8/9 broken
From: John Haggerty <[email-masked]>
To: Dockeen <[email-masked]>
Cc: [email-masked]
Date: Thu, 16 May 2002 23:53:50 -0400

Hi,

Well thanks, that calmed me down.  I have installed cygwin maybe 50
times on different machines, but last night it was my luck to really,
really want to install it on my newly repaired laptop, and I spent maybe
4 hours doing this:

- start:
- Install Cygwin NOW! from www.cygwin.com, copy setup.exe to a local
file (2.218.2.8)
- click through the defaults on the installation gui's, as you describe,
except i) Choose All Install, but Skip all tetex and texmf packages
(needed to prevent a collision with MikTeX), 2) choose local package
directory to be a conveniently named directory
- choose as mirrors sunsite.utk.edu (seems to be mainly dead or
oversubscribed), uiuc.edu, nasa.gov, planetmirror.com (very slow)
- Get to the end (zlib) and get a popup reporting "Download Incomplete"
which seemed to end the installation prematurely
- deleting the failed installation by deleting \cygwin and the cygwin
local package directory, and usually deleting registry keys containing
"Cygnus," as described in the manual
- go back to start:

Since my machine had been sent back for network problems, it seemed
quite likely that it was a new network problem, since Cygwin never gave
me any trouble, hence the loop.

Tonight, I admit I haven't done it ten times yet with 2.218.2.9, so the
failure could have been something else (like not deleting cygwin
completely or whatnot), and I'll pass on the setup.log.full file if it
fails again.

Dockeen wrote:
> 
> Preamble:
> I don't work at Cygnus, I am just another user.
> (Well, maybe less skilled that any other user)
> 
> Why I am writing:
> I have been upgrading Cygwin essentially daily on my work
> and home machines, using the newest setup almost all the
> time, and I have almost never seen a failure.  This can NOT be
> because of above average skill or intelligence on my part!
> Though I too am a physicist, I possess neither.  :-)
> I do want to help though.
> 
> Now, almost all of my operations with setup have been
> incremental installs, in the last two weeks, I have
> done only one download to a CD and install on a non-networked,
> no Cygwin present (at all, never installed) machine.
> 
> What sort of operation are you performing? New full install,
> new partial install, install over a deleted older version,
> incremental install etc?
> 
> Now, in all but one of my recent installs, I have used
> "install from the internet", "all users", "unix".
> 
> I have a designated directory I let install work with,
> c:\xfer\cygtemp, that is where it puts its temporary stuff.
> That is the directory where I keep setup.  That is the
> directory where I designate in "Select Local Package Directory".
> There seem to be some issues with people using their
> c:\cygwin in this role.  Note also that I do not designate
> any of the mirror subdirectories that are in my cygtemp
> directory.  My connection, I use "Use IE5 Settings".  I
> have always used the mirror ftp://archive.progeny.com ,
> if you look in my Cygtemp directory, you will see that there
> is only one mirror folder in there.  Note though that I have
> done successful incremental installs in which I have deleted
> the mirror subdirectory.
> 
> This takes me through to the Cygwin Setup menu.  I open
> all the categories, and install almost everything.  Ooops,
> Wayne, you have been guilty of that omission - I have nearly
> all the Cygwin packages installed, even the bloody games,
> which are there for no intellegent reason I can tell you.
> 
> Now, this procedure works for me, for the use I describe.
> It has worked for this machine, which is Win98, and my on-base
> machine, which is XP-Pro.  The machine I did the virgin install
> on runs Win2000 Pro.
> 
> Now, this evening, I did see a failure of the sort you note, because
> I messed up and did not download the new .9 version of setup.
> This is the only failure I noted.  (I also noted that gsl is
> now included, that made my evening, I use it a goodly amount and
> have been installing it seperately before)
> 
> I hope my experience helps in solving your problem.  I hope
> it also encourages you to report the sorts of things I have
> told you about my install procedure.  It really helps the guys
> in trouble shooting.
> 
> Wayne Keen
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
John Haggerty
internet: [email-masked]
voice/fax: 631 344 2286/4592
http://www.phenix.bnl.gov/~haggerty

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/